
<div id="introText">
    <p>Sada ćemo pogledati još neke izvedbe bistabila.</p>
</div>
<hr>
<h3><b>Primjer 1</b></h3>
<p>
    Na sljedećoj demonstraciji nalaze se dva kombinacijska sklopa. To su sklopovi "NI" (engl. NAND) koji su ovdje
    nacrtani prema IEC standardu koji ima prepoznatljiv znak "&" s odgovarajućim simbolom komplementa na izlazu sklopa.
</p>

<p>
    Ove kombinacijske sklopove spojili smo kao i invertore na prethodnoj stranici, pomoću povratne veze. Povratnom vezom
    doveli smo izlaz drugog sklopa na ulaze prvog sklopa. Uočite da su ulazi ovih "NI" (engl. NAND) sklopova povezani pa
    se ovakav spoj ponaša identično kao i spoj invertora s prethodne stranice.
</p>


<p>
    Da bi lakše pratili što se događa u ovakvom spoju označili smo i izlaz prvog sklopa sa \(Q\) te izlaz drugog sklopa
    sa \(\overline{Q}\).
</p>

<p>
    Kako se ponaša ovako povezani sklop? Ako je u početnom trenutku \(Q = 1\) tada drugi sklop na svoj izlaz postavlja
    nulu pa je \(\overline{Q} = 0\). <br><br>
    Kliknite sada na žicu koja je aktivna, odnosno na žicu koja predstavlja \(Q\), kako bi postavili \(Q = 0\) i time
    promijenili stanje sklopa. Sada je situacija obrnuta, kako na ulazu drugog sklopa više nije 1 već 0, što smo
    maloprije postavili, on će na svoj izlaz staviti jedinicu. Trenutno stanje sada je: \(Q = 0\) i \(\overline{Q} =
    1\). <br><br>
    Pobrojimo li sva stanja koja smo imali, vidjet ćemo da je \(Q\) u jednom stanju 0 a u drugom 1. Dakle ovaj sklop
    zaista je bistabil odnosno sklop s dva stabilna stanja.
</p>

<div align="center" id="NANDsimulationA">
    <canvas id="replacedWithNAND" width="750px" height="300px"></canvas>
</div>
<hr>

<h3><b>Primjer 2</b></h3>

<p>
    Na sljedećoj demonstraciji prikazan je sličan sustav, ponovo imamo jedan bistabil koji radi na prethodno opisani
    način. Ideja ovog primjera je da pokušamo nekako upravljati bistabilom bez da mijenjamo stanje preko samih žica.
    U ovom primjeru postavili smo logičku jedinicu na jedan od ulaza logičkog sklopa NI. Isto smo napravili i s drugim
    NI sklopom. Ponašanje je isto kao i kod prethodnog primjera prisjetimo li se da je: $$ NI(X, X) = NI(1, X) $$

    Kao i prethodne simulacije isprobajte ovaj primjer tako da kliknete na jednu od žica, primjerice \(\overline{Q}\) i
    time promijenite stanje ovog bistabila.

</p>
<div align="center" id="NANDsimulationB">
    <canvas id="NANDB" width="750px" height="300px"></canvas>
</div>

<div class="mlImportant">
    <p>
        U prethodnim primjerima često se spominje stanje sklopa, odnosno stanje bistabila. Stanje bistabila definiramo
        kao vrijednost koju čitamo na izlazu \(Q\).
        Odnosno: $$ Q = Stanje \ bistabila. $$
    </p>

</div>

<br>
<hr>

<h3><b>Primjer 3</b></h3>

<p>
    Sada kada smo se upoznali s osnovnim implementacijama bistabila pogledat ćemo i jednu koja nam omogućuje da
    upravljamo bistabilom.<br><br>
    Sljedeći primjer nije puno drugačiji od prethodnih primjera, doduše ima par razlika. Sklopovi NI (engl. NAND) sada
    su jedan ispod drugoga ali su povezani povratnim vezama na jednak način kao i u prethodnim primjerima.
    Umjesto povezivanja logičke jedinice na slobodne ulaze NI sklopova sada imamo i klikabilne pločice kojima možemo
    upravljati ovim sklopom. Jedan od ulaza prvog sklopa nazvali smo X a jedan od ulaza drugog sklopa Y.

    Kako biste isprobali ponašanje ovog bistabila simulirajte sljedeće scenarije:
    <br>
</p>

<p>
    Pretpostavimo da je bistabil u početnom stanju \(Q_n = 1\). Lijevom tipkom miša pritisnite klikabilnu pločicu ulaza
    X (<u>i držite tipku pritisnutu</u>) čime ćete postaviti ulaz X u nulu.
    Pratimo li sada što se događa s izlazom ovog sklopa zaključujemo sljedeće: <br><br>
    Ulaz X postavili smo na 0, drugi ulaz tog sklopa već je bio u logičkoj 0 (\(\overline{Q_n} = 0\)), pa računamo NI(0,
    0) = 1, izlaz sklopa (odnosno stanje bistabila) ostat će u jedinici, odnosno \(Q_n = 1\). Sada otpustite tipku miša
    (tako da se X vrati u 1) - uočite da se izlazi sklopa ne mijenjaju.<br><br>
    Promotrimo i drugi NI, na njegovu su ulazu \(Q_n\) i klikabilni ulaz Y, pa računamo:
    NI(1, 1) = 0, izlaz drugog sklopa (odnosno \(\overline{Q_n} = 0\)) biti će u logičkoj nuli i stanje je stabilno.
    <br>
</p>
<div align="center" id="NANDsimulationC">
    <canvas id="NANDC" width="750px" height="300px"></canvas>
</div>
<br>
<p>
    Isto isprobajte i za ulaz Y. Kliknite lijevom tipkom miša na ulaz Y i promatrajte što će se dogoditi.
    Postavljanjem ulaza Y u nulu računamo: NI(0, 1) = 1, ovim postupkom na izlazu drugog sklopa dobiti ćemo logičku
    jedinicu, odnosno \(\overline{Q_n} = 1\).
    Promotrimo sada i prvi NI, na njegovom se ulazu sada nalazi logička jedinica ulaza X te logička jedinica ulaza
    \(\overline{Q_n}\), pa računamo: NI(1, 1) = 0, pa se stanje (odnosno \(Q_n\)) bistabila postavlja na logičku nulu.
</p>
<br>
<p>
    U nastavku se nalazi potpuna tablica sklopa iz primjera 3.
</p>
<br>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 1.</span> Tablica promjene stanja bistabila iz primjera 3
</div>



<!--Comment this: class="mlTableCC mlTableVR2"-->
<div align="center">
    <table class="mlTableCC mlTableVR2">
        <thead>
        <tr>
            <th>X</th>
            <th>Y</th>
            <th>Q<sub>n</sub></th>
            <th colspan="2">Q<sub>n+1</sub></th>
        </tr>
        </thead>

        <tbody>
        <tr>
            <td>0</td>
            <td>0</td>
            <td>0</td>
            <td>X</td>
        </tr>

        <tr>
            <td>0</td>
            <td>0</td>
            <td>1</td>
            <td>X</td>
        </tr>

        <tr>
            <td>0</td>
            <td>1</td>
            <td>0</td>
            <td>1</td>
        </tr>
        <tr>
            <td>0</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
        </tr>

        <tr>
            <td>1</td>
            <td>0</td>
            <td>0</td>
            <td>0</td>
        </tr>
        <tr>
            <td>1</td>
            <td>0</td>
            <td>1</td>
            <td>0</td>
        </tr>
        <tr>
            <td>1</td>
            <td>1</td>
            <td>0</td>
            <td>0</td>
        </tr>
        <tr>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
        </tr>
        </tbody>
    </table>
</div>

<br>


<p>
    <b>Kako smo popunili tablicu?</b> <br><br>
    U prvom redu nalazi se varijabla X potom slijedi varijabla Y a zatim i trenutno stanje bistabila, uobičajeno to
    stanje označavamo sa \(Q_n\) i na kraju slijedi sljedeće stanje s oznakom \(Q_{n+1}\). <br><br>
    Idemo započeti s prva dva retka. Kada se na ulazu ovog sklopa nađe kombinacija (X, Y) = (0, 0) postoji problem. Ovu
    situaciju na simulaciji ne možete simulirati regularno, ali kao i na jednoj od prethodnih stranica možete uspjeti na
    prijevaru.
    Naime, pritisnite prvo na pločicu ulaza X i ne puštajte tipku miša sve dok ne izađete iz pravokutnika koji opisuje
    simulaciju. Nakon što je miš izvan dosega simulacije možete otpustiti tipku miša. Sada je ulaz X trajno ostao u
    logičkoj 0.
    Slično napravimo i za ulaz Y s ove simulacije. Kada smo dobili kombinaciju (X, Y) = (0, 0) uočimo da su oba izlaza
    \(Q_n\) i \(\overline{Q_n}\) postala 1. Ovako stanje bistabila nije nam korisno, i izgleda nemoguće, jer u jednom
    trenutku imamo da je \(Q_n\) = \(\overline{Q_n}\). Ovo stanje bistabila također je stabilno no stisnemo li ponovo na
    jedan od ulaza, primjerice X, nećemo znati u kojem će stanju bistabil završiti, odnosno koja će biti vrijednost za
    izlaz \(Q_n\).<br><br>

    Ovakva pobuda nam stoga ne predstavlja jedno od željenih stanja i u tablici promjene stanja naznačili smo za
    sljedeće stanje X (engl. don't care) za prvi i drugi redak. <br><br>

    Kombinaciju koja se nalazi u trećem i četvrtom retku tablice isprobali smo na simulaciji kada smo držali pločicu X u
    nuli i pratili što se događa. Pa će za kombinaciju \((X, Y, Q_n) = (0, 1, 0)\) i kombinaciju \((X, Y, Q_n) = (0, 1,
    1)\) , sljedeće stanje biti 1.<br><br>
    Slično vrijedi i za peti i šesti redak odnosno za odgovarajuće smo kombinacije držali pločicu Y u nuli i pratili
    ponašanje bistabila. Pa će za kombinaciju \((X, Y, Q_n) = (1, 0, 0) \ i\ (X, Y, Q_n) = (1, 0, 1)\), sljedeće stanje
    biti 0.

    Redak 7 i 8 u tablici odnose se na kombinacije kada su X i Y u jedinici i za te kombinacije bistabil ne mijenja
    svoje stanje odnosno ostaje u trenutnom stanju.

</p>

<div class="mlNote">
    <p>
        Ovakav sklop možemo predstaviti kao konačan upravljivi bistabil (sklop s dva stabilna stanja) kod kojeg ulazi
        \(\overline{S} \ i \ \overline{R}\) respektivno zamjenjuju varijable X i Y. Ovakav naziv prikladan je jer ulaz X
        postavlja (engl. <i>set</i>) bistabil (mijenja stanje u logičku jedinicu odnosno \(Q_n = 1\)) s niskom razinom.
        Dok ulaz Y resetira (engl. <i>reset</i>) stanje bistabila (mijenja stanje u logičku nulu odnosno \(Q_n = 0\))
        također niskom razinom.
    </p>
</div>
<hr>
<br>
<p>
    Konačan simbol odnosno simulacija ovakvog bistabila dan je na sljedećoj simulaciji.
</p>
<div align="center" id="SRSymbol">
    <canvas id="SR" width="750px" height="300px"></canvas>
</div>

<p>
    Isprobajte simulaciju i uvjerite se da radi upravo po tablici promjene stanja.
</p>

<hr>
<br>

<p>
    Na sljedećoj stranici pogledat ćemo i implementaciju bistabila pomoću NILI sklopova.
</p>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(example4.js)*/
    /*@#page-include#(example4b.js)*/
    /*@#page-include#(example4c.js)*/
    /*@#page-include#(example4NSR.js)*/
</script>
